
## 插件制作

```
% fluent-plugin-generate filter light-core
License: Apache-2.0
	create Gemfile
	create README.md
	create Rakefile
	create fluent-plugin-light-core.gemspec
	create lib/fluent/plugin/filter_light_core.rb
	create test/helper.rb
	create test/plugin/test_filter_light_core.rb
Initialized empty Git repository in /Users/lilin/developer/light/fluent-plugin-light-core/.git/
```


## 上传

- 登陆rubygems
	% gem signin
	
- 发布
  1. 删除pkg目录下的所有内容
  2. 修改 fluent-plugin-light-core.gemspec 中的 spec.version
  3. 提交所有的修改
	4. 执行打包发布 $ rake release


## 调试
- 执行fluentd

  % rm -f sample/*.pos
  % fluentd -c sample/source.conf -p lib/fluent/plugin

## 添加 sentry 依赖

- 编辑Gemfile

  gem "sentry-ruby"

- 安装依赖

  gem install sentry-ruby
