
require 'socket'
require 'json'

udp = UDPSocket.open()
udp.setsockopt(Socket::SOL_SOCKET, Socket::SO_BROADCAST, 1)
udp_addr = Socket.pack_sockaddr_in(7000, '255.255.255.255')

data = {
  :query => '/api/log/notice',
  :params => {
    :data => {:A => 'A'}
  }
}

params = data.to_json
params = "{\"query\":\"/api/log/notice\",\"params\":{\"data\":{\"stream\":\"stdout\",\"environment\":\"Mac\",\"cid\":\"app-0c1b728705d8-f5fc78bc8-8rjfl\",\"cname\":\"0c1b728705d8\",\"ctime\":\"2020-09-20T06:00:53.516987008Z\",\"time\":\"2020-09-20T06:00:53.516\",\"component\":\"I\",\"method\":\"GET\",\"url\":\"/api/app/last?id=xundianxb&os=android\",\"status\":\"200\",\"size\":\"349\",\"uid\":\"-\",\"elapsed\":\"76.078\",\"addr\":\"::ffff:10.244.4.86\"}}}"
udp.send(params, 0, udp_addr)

udp.close
